#pragma once

/* Genode includes */
#include <util/string.h>

namespace State_machine {

	constexpr unsigned Variable_value_capacity = 256u;

	using Label          = Genode::String<256>;
	using Library_name   = Genode::String<64>;
	using Node_name      = Genode::String<32>;
	using Variable_name  = Genode::String<64>;
	using Variable_value = Genode::String<Variable_value_capacity>;

	class Buffer_overflow { };
	class Length_too_large { };
}
